Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase.UserListPageHandler

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.UserListPageHandler

Direct Known Subclasses:
  `ConfigurationDialogBase.StylesPageHandler`

Enclosing class:
  `ConfigurationDialogBase`

protected abstract class ConfigurationDialogBase.UserListPageHandler extends ConfigurationDialogBase.PageHandler

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`UserListPageHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`appendItem(DialogAccess dlg, String sListName, Set<String> suggestions)`
`protected boolean`
`deleteCurrentItem(DialogAccess dlg, String sListName)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler

`checkBoxFromConfig, checkBoxToConfig, deleteItem, getControls, getDialog, handleEvent, listBoxFromConfig, listBoxToConfig, setControls, textFieldFromConfig, textFieldToConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserListPageHandler

protected UserListPageHandler()

## Method Details

### deleteCurrentItem

protected boolean deleteCurrentItem(DialogAccess dlg, String sListName)

### appendItem

protected String appendItem(DialogAccess dlg, String sListName, Set<String> suggestions)